Skip to main content
Service and Application/Application Development Service APIs
GETApplication Development Service APIsSince 5.3.28SynchronousAuth Required

QueryApplicationDevelopmentService

QueryApplicationDevelopmentService

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • qString

    Query conditions.

Responses

200 OK

On success, this API returns the following response structure.

  • inventoriesListRequired

    The application development service list.

  • uuidStringRequired

    The service instance group UUID.

  • nameStringRequired

    The service name.

  • statusStringRequired

    The service status.

  • deploymentStatusStringRequired

    The deployment status.

  • packageVersionStringRequired

    The application package version.

  • serviceModelServiceInventoryRequired

    The model service details.

Endpoint

GET/zstack/v1/ai/model-services/app/

/zstack/v1/ai/model-services/app/

Operation ID

QueryApplicationDevelopmentService

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ai/model-services/app/?q=<q>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "app-service-group-uuid", "name": "app-development-service", "status": "Running", "deploymentStatus": "Deployed", "packageVersion": "1.0.0", "service": { "uuid": "model-service-uuid", "name": "app-service" } } ] }

Change History

This API has no change history records yet.

View all change history